Page MenuHomePhabricator

WTE2017 preview doesn't de-duplicate the categories
Closed, ResolvedPublic

Description

Sometimes categories of the same name (especially maintenance categories) are emitted in the page. In preview, that looks like this:

This is not a representative preview.

(If it matters, this is over Timeless; I expect this issue to be skin-irrelevant.)

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterFilter out duplicate categories in NWE preview

Event Timeline

Izno created this task.Jan 28 2019, 2:47 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptJan 28 2019, 2:47 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Izno renamed this task from Preview doesn't de-duplicate the categories in WTE2017 to WTE2017 preview doesn't de-duplicate the categories.Jan 28 2019, 2:49 AM
Izno updated the task description. (Show Details)
JTannerWMF moved this task from To Triage to Freezer on the VisualEditor board.Feb 12 2019, 5:06 PM
matmarex claimed this task.Feb 12 2019, 6:18 PM
matmarex edited projects, added VisualEditor (Current work); removed VisualEditor.
matmarex added a subscriber: matmarex.

This is pretty easy to fix, so I'd like to rescue it from the freezer.

Change 490114 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] Filter out duplicate categories in NWE preview

https://gerrit.wikimedia.org/r/490114

Change 490114 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Filter out duplicate categories in NWE preview

https://gerrit.wikimedia.org/r/490114

Esanders moved this task from Inbox to Low Priority on the Editing QA board.Feb 13 2019, 6:46 PM

Hm.. Just wondering why don't we use OWE JavaScript Preview for this? Issues like this has been already debugged in it over the years.

Hm.. Just wondering why don't we use OWE JavaScript Preview for this? Issues like this has been already debugged in it over the years.

I don't know, we probably should. Looks like there is task T154844: New Wikitext Editor: Previews should use the article-view rendering engine for this.

ppelberg closed this task as Resolved.May 22 2019, 1:43 AM